{-------------------------------------------------------------------------------
This application checks whether the BDE is installed.

Your application shound check the BDE existance before first calling
of the some methods that use BDE functions, for example before
calling TTable.open. It's enough to check the DBE only once, when
the application starts.
If no BDE found you can close your program gracefully.

To check whether the DBE is installed:
1 Add the bde_check.pas unit to your project.
2 Place the ctsaskbde.dll near your exe file or somwhere else
  where it will be accessable by the PATH settings, for example in the
  windows/system directory.
3 When your application starts call the bde_exists(vers):boolean function
  where vers is BDE version your application needs.
4 If bde_exists returns false close the application. Your user will be
  prompted to install BDE before using your application.
  If you wish to process this case by hand use the _ctsaskbde.dll 
  instead of ctsaskbde.dll
  Please visit http://www.barbus.biz for more information

--------------------------------------------------------------------------------

This application and the ctsaskbde.dll are freeware.
You are free to use them by your both free and commercial products.

DISCLAIMER OF WARRANTY
The Software is provided on an AS IS basis, without warranty of any kind.

--------------------------------------------------------------------------------
}

unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type

  TFmain = class(TForm)
    Label1: TLabel;
    BtnCheck: TButton;
    BtnClose: TButton;
    Label_check_result: TLabel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    Label3: TLabel;
    Bevel1: TBevel;
    Label4: TLabel;
    BtnAbout: TButton;
    procedure BtnCheckClick(Sender: TObject);
    procedure BtnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtnAboutClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Fmain: TFmain;

implementation

uses bde_check, about;

{$R *.DFM}

procedure TFmain.BtnCheckClick(Sender: TObject);
var vers:integer;
begin
  vers:=strtoint(ComboBox1.items[ComboBox1.itemindex]);
  if bde_exists(vers) then
     Label_check_result.caption:='INSTALLED'
  else
     Label_check_result.caption:='NOT INSTALLED';
end;

procedure TFmain.BtnCloseClick(Sender: TObject);
begin
  close;
end;

procedure TFmain.FormCreate(Sender: TObject);
begin
  ComboBox1.itemindex:=0;
end;

procedure TFmain.BtnAboutClick(Sender: TObject);
begin
  F_about.execute;
end;

end.
